Skip to content

Returns all calendars visible to the authenticated actor and collection actions.

GET
/api/workspace/work-schedule/calendars
curl --request GET \
--url https://example.com/api/workspace/work-schedule/calendars \
--header 'Authorization: Bearer <token>'
enabled
boolean
access_token
string

Optional access token for clients that cannot set Authorization headers. Prefer Authorization: Bearer <token> when possible.

OK

Media typeapplication/json
object
Data

Calendar list and caller access returned in one bootstrap response.

object
Items
Array<object>
nullable

One calendar in the deterministic calendar list.

object
CalendarId
string
nullable
Key
string
nullable
Name
string
nullable
Description
string
nullable
Enabled
boolean
RowVersion
string format: uuid
HasDraft
boolean
HasRevisionHistory
boolean
CurrentEffectiveFromLocalDate
string format: date
nullable
NextScheduledEffectiveFromLocalDate
string format: date
nullable
Actions

Actions that the current actor may perform on a working calendar.

object
CanRead
boolean
CanUpdate
boolean
CanSetEnabled
boolean
CanDelete
boolean
CanStartDraft
boolean
Actions

Collection-level calendar access returned with the list bootstrap payload.

object
CanCreate
boolean
Errors
Array<object>
nullable
object
Code
required
string
nullable
Message
required
string
nullable
Target
string
nullable
Field
string
nullable
Metadata
object
key
additional properties
string
nullable
Type
integer format: int32
Allowed values: 0 1 2
Severity
integer format: int32
Allowed values: 0 1 2
Warnings
Array<object>
nullable
object
Code
required
string
nullable
Message
required
string
nullable
Target
string
nullable
Field
string
nullable
Metadata
object
key
additional properties
string
nullable
Type
integer format: int32
Allowed values: 0 1 2
Severity
integer format: int32
Allowed values: 0 1 2
Success
boolean
Example
{
"Errors": [
{
"Type": 0,
"Severity": 0
}
],
"Warnings": [
{
"Type": 0,
"Severity": 0
}
]
}